<?php 
/**
 * Generate random customer 
 *
 * Initial version : December 2009
 * by PhilFlash - http://philflash.inway.fr
 */
 
 	error_reporting(E_ALL);
 	require_once('../xmlperfDefine.php');
 	
 	require_once('inc_cities.php');
  	require_once('inc_addresses.php');
  	
 	$maximumItems  = MAXIMUM_RECORDS;
  	
	// ----- NO CACHE -----
	session_cache_limiter('nocache');

	// General header for no caching
	//$now = gmdate('D, d M Y H:i:s') . ' GMT';
	//header('Expires: ' . $now); // rfc2616 - Section 14.21
	//header('Last-Modified: ' . $now);
	//header('Cache-Control: no-store, no-cache, must-revalidate, pre-check=0, post-check=0, max-age=0'); // HTTP/1.1
	//header('Pragma: no-cache'); // HTTP/1.0

 	header("Content-Type: text/html; charset=utf-8");
 	
	// ----- Functions -----
	function formatString($str) {
		// Stripslashes
		if (get_magic_quotes_gpc()) {
			$str = stripslashes($str);
		}
		//
		return "'".mysql_real_escape_string($str)."'";
	}

	// ----- MySQL Connection -----
	$connect_db = mysql_pconnect(DATABASE_SERVER, DATABASE_USERNAME, DATABASE_PASSWORD);
	mysql_query("SET NAMES 'UTF8' ");
	mysql_select_db(DATABASE_NAME, $connect_db);
	
	
	$strSQL = 'DROP TABLE IF EXISTS xml_customer';
	mysql_query($strSQL);

	$strSQL = "CREATE TABLE xml_customer (customer_id int(11) NOT NULL auto_increment,"
			. "lastname varchar(80) NOT NULL,"
			. "firstname varchar(80) NOT NULL,"
			. "sex tinyint(4) NOT NULL  default '0',"
			. "address varchar(160) default '',"
			. "city varchar(80) default '',"
			. "PRIMARY KEY (customer_id)) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci";
			
	mysql_query($strSQL);
	//echo "STRSQL =". $strSQL;
	echo "Table xml_customer created<br>";
	
	// ----- array  -----
	$lastnames = array('Martin', 'Dubois', 'Petit', 'Durand', 'Leroy', 'Moreau', 'Lefebvre', 'Roux', 'Roche', 'Roy', 'Noel', 'Meyer', 'Meunier', 'Perez', 'Marchand', 'Dufour', 'Blanchard', 'Barbier', 'Brun', 'Dumas', 'Brunet', 'Schmitt', 'Leroux', 'Colin', 'Fernandez', 'Renard', 'Arnaud', 'Rolland', 'Caron', 'Aubert', 'Giraud', 'Leclerc', 'Vidal', 'Fournier', 'Morel', 'Girard', 'Mercier', 'Dupont', 'Lambert', 'Bonnet', 'Martinez', 'Legrand', 'Garnier', 'Faure', 'Rousseau', 'Blanc', 'Guerin', 'Muller', 'Henry', 'Roussel', 'Perrin', 'Morin', 'Gauthier', 'Dumont', 'Lopez', 'Fontaine', 'Chevalier', 'Robin', 
			'Masson', 'Sanchez', 'Nguyen', 'Boyer', 'Lemaire', 'Duval', 'Joly', 'Gautier', 'Bourgeois', 'Renaud', 'Lemoine', 'Picard', 'Gaillard', 'Leclercq', 'Lacroix', 'Fabre', 'Dupuis', 'Rodriguez', 'Da silva', 'Guillot', 'Riviere', 'Le gall', 'Guillaume', 'Adam', 'Rey', 'Moulin', 'Gonzalez', 'Berger', 'Lecomte', 'Menard', 'Fleury', 'Deschamps', 'Carpentier', 'Paris', 'Maillard', 'Marchal', 'Aubry', 'Vasseur', 'Le roux', 'Renault', 'Jacquet', 'Collet', 'Prevost', 'Poirier', 'Charpentier', 'Royer', 'Huet', 'Baron', 'Dupuy', 'Pons', 'Laine', 'Carre', 'Breton', 'Remy', 'Schneider', 'Perrot', 'Guyot',
			'Barre', 'Marty', 'Cousin', 'Le goff', 'Boucher', 'Bailly', 'Boulanger', 'Collin', 'Evrard', 'Poulain', 'Lebrun', 'Pereira', 'Pasquier', 'Cordier', 'Humbert', 'Gillet', 'Bouvier', 'Leveque', 'Albert', 'Ferreira', 'Jacob', 'Germain', 'Klein', 'Millet', 'Weber', 'Gomez', 'Marechal', 'Gay', 'Chevallier', 'Mallet', 'Lesage', 'Bertin', 'Leblanc', 'Alexandre', 'Perrier', 'Hamon', 'Dos santos', 'Rodrigues', 'Pelletier', 'Bouchet', 'Monnier', 'Leger', 'Marin', 'Lemaitre', 'Reynaud', 'Pichon', 'Lamy', 'Camus', 'Perret', 'Coulon', 'Gros', 'Devaux', 'Langlois', 'Gilbert', 'Tessier', 'Chauvin',
			'Ollivier', 'Levy', 'Marion', 'Dupond', 'Joubert', 'Rossi', 'Jacques', 'Besson', 'Legros', 'Guichard', 'Fernandes', 'Carlier', 'Delattre', 'Maury', 'Cohen', 'Hernandez', 'Guillon', 'Coste', 'Verdier', 'Sauvage', 'Lejeune', 'Martins', 'Ferrand', 'Blanchet', 'Ruiz', 'Bousquet', 'Tanguy', 'Marques', 'Michaud'
			);
			
	$maleFirstnames = array('Lucas', 'Thomas', 'Hugo', 'Théo', 'Maxime', 'Quentin', 'Alexandre', 'Valentin', 'Antoine', 'Clément', 'Alexis', 'Nicolas', 'Louis', 'Julien', 'Dylan', 'Paul', 'Florian', 'Pierre', 'Nathan', 'Baptiste', 'Corentin', 'Romain', 'Arthur', 'Enzo', 'Benjamin', 'Adrien', 'Léo', 'Axel', 'Anthony', 'Victor', 'Tom', 'Guillaume', 'Mathieu', 'Vincent', 'Bastien', 'Mathis', 'Maxence', 'Simon', 'Tristan', 'Jules', 'Loïc', 'Rémi', 'Jérémy', 'Raphaël', 'Dorian', 'Kévin', 'Samuel', 'Aurélien', 'Thibault', 'William', 'Lilian', 'Yanis', 'Killian', 'Allan', 'Martin', 'Matthieu', 'Fabien',
			'Damien', 'Robin', 'Gabriel', 'Bryan', 'Erwan', 'Antonin', 'Tanguy', 'Yann', 'Jordan', 'Mohamed', 'Steven', 'Charles', 'Alex', 'Maël', 'Ryan', 'David', 'Gaëtan', 'Mehdi', 'Arnaud', 'Alan', 'Thibaut', 'Benoït', 'Rémy', 'Mathias', 'Sébastien', 'Florent', 'Rayan', 'Tony', 'Sofiane', 'Etienne', 'Jean', 'François', 'Mattéo', 'Grégoire', 'Adam', 'Kilian', 'Grégory', 'Sacha', 'Dimitri', 'Jason', 'Mickaël', 'Aymeric', 'Jonathan'
			);

	$femaleFirstnames = array('Léa', 'Camille', 'Manon', 'Océane', 'Emma', 'Chloé', 'Marie', 'Sarah', 'Mathilde', 'Julie', 'Lucie', 'Laura', 'Pauline', 'Marine', 'Clara', 'Ines', 'Justine', 'Anaïs', 'Juliette', 'Morgane', 'Lisa', 'Maëva', 'Margaux', 'Louise', 'Charlotte', 'Eva', 'Amélie', 'Emilie', 'Noémie', 'Célia', 'Elisa', 'Mélissa', 'Margot', 'Clémence', 'Valentine', 'Jade', 'Alice', 'Amandine', 'Laurine', 'Romane', 'Marion', 'Jeanne', 'Elise', 'Alicia', 'Claire', 'Zoé', 'Agathe', 'Axelle', 'Coline', 'Lola', 'Solène', 'Carla', 'Léna', 'Andréa', 'Laurie', 'Elodie', 'Coralie', 'Alexia', 'Maëlle', 
			'Emeline', 'Ophélie', 'Eloïse', 'Salomé', 'Fanny', 'Audrey', 'Kenza', 'Estelle', 'Mlanie', 'Cloé', 'Elsa', 'Caroline', 'Nina', 'Clarisse', 'Victoria', 'Julia', 'Ambre', 'Anna', 'Anaelle', 'Cassandra', 'Lou', 'Laure', 'Aurore', 'Céline', 'Héloïse', 'Ludivine', 'Alison', 'Clémentine', 'Kelly', 'Marina', 'Constance', 'Ilona', 'Sophie', 'Lucile', 'Léonie', 'Myriam', 'Adèle', 'Yasmine', 'Lise', 'Aurélie', 'Nolwenn'
			);

	// -----   -----
	$operation = 1;
	$errmessage = "";

	// -----   -----	
	$sql = "";
	$separator = "";

	for ($kk = 0; $kk < $maximumItems; $kk++) 
	{
		// lastname
		$indice = rand (0, sizeof($lastnames)-1);
		$lastname = $lastnames[$indice];
		
		// city
		$indice = rand (0, sizeof($cities)-1);
		$city = $cities[$indice];

		// sex
		$sex = rand (0, 1);
		
		// firstname
		if ($sex == 0)
		{
			$indice = rand (0, sizeof($femaleFirstnames)-1);
			$firstname = $femaleFirstnames[$indice];		
		}
		else 
		{
			$indice = rand (0, sizeof($maleFirstnames)-1);
			$firstname = $maleFirstnames[$indice];		
		}		
		
		// $address
		$numero = rand (1, 50);
		$indice = rand (0, sizeof($addresses)-1);
		$address = $numero . ', ' . $addresses[$indice];	
				
				
		$sqlValues = "(". formatString($lastname). ",". formatString($firstname) .",". $sex. ",".formatString($address). ",". formatString($city) . ")";

		
		$insertSQL = "INSERT INTO xml_customer (`lastname`, `firstname`, `sex`, `address`, `city`)";
		$insertSQL .= " VALUES " . $sqlValues;

		$result = mysql_query($insertSQL, $connect_db) or die(mysql_error());

		//echo "- generate customer: >" . $insertSQL . "< <br>\n";
	}
	echo "Generated $maximumItems items for xml_customer.<br>";
		

	
	
	