<?php

error_reporting( E_ALL | E_STRICT );
ini_set( "display_errors", "on" );

require_once('../xmlperfDefine.php');
set_include_path(implode(PATH_SEPARATOR, array('.', ZEND_LIBRARY, get_include_path())));

require_once('Zend/Amf/Server.php');
require_once('CustomerService.php');

$server = new Zend_Amf_Server();

$server->setClass('CustomerService');

// Map the ActionScript class 'CustomerVO' to the PHP class 'Customer':
// you don't have to add the package name
$server->setClassMap("CustomerVO", "Customer");
	
echo($server->handle());
